if nil == wd then
    return
end

wd.jobTable = {[1]="warrior",[2]="magician",[3]="taoist"}
wd.sexTable = {[0]="m",[1]="f"}

wd.jobMsgTable = {[1]="01",[2]="02",[3]="03"}
wd.sexMsgTable = {[0]="M",[1]="F"}

wd.equipJobTable = {[0]="通用", [1]="战士", [2]="法师", [3]="道士"}
wd.regionTable = {[1]="武器", [2]="衣服", [3]="头盔", [4]="鞋子", [5]="项链", [6]="手镯", [7]="戒指"}
wd.equipTitleTable = {[0]="【魔】", [1]="【圣】", [2]="【仙】", [3]="【神】"}


--wd.colorTable = {[1]=0xffffff, [2]=0x00ff06, [3]=0x00baff, [4]=0xff5bf2, [5]=0xffee34}

function wd.getJobTitleName(job)
    if job == 0 then
        job = 1
    end
    return string.format("role_%s_title.png",wd.jobTable[job])
end

function wd.getEquipTitleName(job)
    if job == 0 then
        job = 1
    end

    return string.format("equip_%s_title.png",wd.jobTable[job])
end

function wd.getPlayerImageName(job, sex)
    if job == 0 then
        job = 1
    end
    
    return string.format("player_%s_%s.png",wd.jobTable[job],wd.sexTable[sex])
end

function wd.getHeadImageName(job, sex)
    if job == 0 then
        job = 1
    end

    return string.format("head_%s_%s.png", wd.jobTable[job], wd.sexTable[sex])
end

function wd.getJobString(job)
    if job == 0 then
        job = 1
    end
    
    return wd.jobMsgTable[job]
end

function wd.getSexString(sex)
    return wd.sexMsgTable[sex]
end

function wd.getEquipJobString(occupation)
    return wd.equipJobTable[occupation]
end

function wd.getRegionString(ragion)
    return wd.regionTable[ragion]
end

function wd.getEquipTitle(occupation)
    return wd.equipTitleTable[occupation]
end

function wd.int2string(int)
    return string.format("%d",int)
end