local AlertLayer = class("AlertLayer",function()
    return cc.Layer:create()
end)

-- cclog
local cclog = function(...)
    print(string.format(...))
end

function AlertLayer.create()
    local layer = AlertLayer.new()
    layer:createLayerMenu()
    return layer
end

function AlertLayer:ctor()

end


function AlertLayer:createLayerMenu()
    local node = tolua.cast(cc.CSLoader:createNode("ui/battle/AlertLayer.csb"), "ccui.Widget")
    self:addChild(node)


    ccui.Helper:doLayout(node)
    
    
    local confirmBtn = tolua.cast(ccui.Helper:seekWidgetByName(node,"btnConfirm"), "ccui.Widget")
    confirmBtn:setPressedActionEnabled(true)
    confirmBtn:addTouchEventListener(
        function(sender,eventType)
            if eventType == ccui.TouchEventType.ended then
                cc.Director:getInstance():endToLua()
            end
        end
    )
    -- local prompt = tolua.cast(ccui.Helper:seekWidgetByName(node,"prompt_text"), "ccui.Text")
    -- prompt:setString("你的账号在其他地方登陆，请注意安全")
end

return AlertLayer