
local WelcomeLayer = class("WelcomeLayer",function()
    return cc.Layer:create()
end)

-- cclog
local cclog = function(...)
    print(string.format(...))
end

function WelcomeLayer.create()
    local layer = WelcomeLayer.new()
    layer:createLayerMenu()
    return layer
end

function WelcomeLayer:ctor()
	cc.SpriteFrameCache:getInstance():addSpriteFrames("ui/newguide/newguide.plist", "ui/newguide/newguide.png")
    self.visibleSize = cc.Director:getInstance():getVisibleSize()
    self.origin = cc.Director:getInstance():getVisibleOrigin()
end

function WelcomeLayer:clear()
	self:removeFromParent()
end

function WelcomeLayer:createLayerMenu()
    local node = tolua.cast(cc.CSLoader:createNode("ui/newguide/WelcomeLayer.csb"), "ccui.Widget")
    self:addChild(node)

    node:setContentSize(self.visibleSize)
    node:setPosition(self.origin)
    ccui.Helper:doLayout(node)
	
	local welcomeBtn = tolua.cast(ccui.Helper:seekWidgetByName(node,"Welcome_Button"), "ccui.Button")
    welcomeBtn:addTouchEventListener(
        function(sender,eventType)
            if eventType == ccui.TouchEventType.ended then
				--[[local layerClass = require("src.game.NewGuideLayer")
				local layer = layerClass.create()
				self:getParent():addChild(layer,10)--]]
				self:clear()
            end
        end
    )
	
end


return WelcomeLayer