local CheckInTime = {}

function CheckInTime:check()
    self:reset()
	local time = os.date("*t")
	local time1 = {year=time.year, month=time.month, day=time.day, hour=12,min=0,sec=0,isdst=false}
	local time2 = {year=time.year, month=time.month, day=time.day, hour=18,min=0,sec=0,isdst=false}
	local time3 = {year=time.year, month=time.month, day=time.day, hour=23,min=59,sec=59,isdst=false}
	time1 = os.time(time1) 
	time2 = os.time(time2) 
	time3 = os.time(time3) 
	local timeTable = 
	{
		[1] = time1,
		[2] = time2,
		[3] = time3
	}

    local role = wd.GlobalData:getInstance():getRoleData()
    local signedTime = tonumber(role:getRoleExtendData("signed_time"))
	if signedTime == 0 or os.time() > timeTable[signedTime] then
		return true
	else
		return false
	end
end

function CheckInTime:reset(fn)
    if not wd.checkInTime then
        local time = os.date("*t")
        local time3 = {year=time.year, month=time.month, day=time.day, hour=23,min=59,sec=59,isdst=false}
        time3 = os.time(time3) 
        wd.checkInTime = time3
	end
    
    if wd.checkInTime and os.time() > wd.checkInTime then
        local role = wd.GlobalData:getInstance():getRoleData()
        role:setRoleExtendData("signed_num",0)
        role:setRoleExtendData("signed_time",0)
		wd.checkInTime = nil
        if fn then
            fn()
        end
    end
end

return CheckInTime