
cc.FileUtils:getInstance():setPopupNotify(false)
cc.FileUtils:getInstance():addSearchPath("src/")
cc.FileUtils:getInstance():addSearchPath("res/")

require "config"
require "NetSupport"
require "cocos.init"
require "wdVersion"


local function main()
    --require("app.MyApp"):create():run()

    --[[

    collectgarbage("collect")
    -- avoid memory leak
    collectgarbage("setpause", 100)
    collectgarbage("setstepmul", 5000)
    ]]--

    -- initialize director
    local director = cc.Director:getInstance()

    --turn on display FPS
    --director:setDisplayStats(true)

    --set FPS. the default value is 1.0/60 if you don't call this
    director:setAnimationInterval(1.0 / 30)

    cc.Director:getInstance():getOpenGLView():setDesignResolutionSize(1152, 768, 1)
	
    local DownloadDir = createDownloadDir()
    cc.FileUtils:getInstance():addSearchPath(DownloadDir,true)
    cc.FileUtils:getInstance():addSearchPath(string.format("%s/src/",DownloadDir),true)
    cc.FileUtils:getInstance():addSearchPath(string.format("%s/res/",DownloadDir),true)
    local codeVersion = cc.UserDefault:getInstance():getStringForKey("version","1.0.00")

    if wd.Version > codeVersion then
        deleteDownloadDir(DownloadDir)
        cc.UserDefault:getInstance():setStringForKey("version", wd.Version)
        cc.UserDefault:getInstance():flush()
    end
        
    --create scene 
    --local scene = require("GameScene")
    --local scene = require("MainScene")
    local scene = require("src.login.LoginScene")
    local gameScene = scene:create()
    --gameScene:playBgMusic()

    if cc.Director:getInstance():getRunningScene() then
        cc.Director:getInstance():replaceScene(gameScene)
    else
        cc.Director:getInstance():runWithScene(gameScene)
    end
end

local status, msg = xpcall(main, __G__TRACKBACK__)
if not status then
    print(msg)
end
