if nil == wd then
    return
end

wd.LSOFFSET = 10000

wd.ErrorInfo = {}


wd.ErrorLoginServerCode = 
{
        eRECLS_ServerError = wd.LSOFFSET + 1000,
        eRECLS_SDKInfoError = wd.LSOFFSET + 1001,

        eRECLS_UsernameInvalid = wd.LSOFFSET + 2000,
        eRECLS_PasswordInvalid = wd.LSOFFSET + 2001,
        eRECLS_UserExist = wd.LSOFFSET + 2002,
        eRECLS_UserNotExist = wd.LSOFFSET + 2003,
        eRECLS_PasswordWrong = wd.LSOFFSET + 2004,
        eRECLS_InvalidParameter = wd.LSOFFSET + 2005,
}

wd.ErrorCode = 
{
		eREC_ServerError = 1000,
		eREC_VersionMismatch = 1001,
		eREC_SDKInfoError = 1002,
		eREC_DictNotFound = 1003,
		eREC_DictNotDefined = 1004,
		eREC_DictDataError = 1005,
        eREC_UnknownError = 1006,
        eREC_ServerUserFull = 1007,
        eREC_LoginFrequently = 1008,
        eREC_LoginOtherPlace = 1009,
        eREC_BanRole = 1010,		--封号
		eREC_SilenceRole = 1011, --禁言
        
		eREC_UsernameInvalid = 2000,
		eREC_PasswordInvalid = 2001,
		eREC_UserExist = 2002,
		eREC_UserNotExist = 2003,
		eREC_PasswordWrong = 2004,
		eREC_AreaNotExist = 2005,
		eREC_RoleExist = 2006,
		eREC_RoleNotExist= 2007,
		eREC_RoleBasicInfoNotExist = 2008,
		eREC_InvalidParameter = 2009,
        eREC_MapNotExist = 2010,

		eREC_NotEnoughGold = 3000,
        eREC_NotEnoughGem = 3001,
		eREC_NotEnoughLevel = 3002,

        eREC_EquipmentBagMaxSize = 3003,
        eREC_EquipmentBagCouldNotExpand = 3004,
        eREC_EquipmentBagFull = 3005,
		eREC_EquipmentStrenthenMaxLevel = 3006,
		eREC_EquipmentNotExist = 3007,
		eREC_EquipmentWeared = 3008,
		eREC_EquipmentUnweared = 3009,
		eREC_EquipmentFalled = 3010,
		eREC_EquipmentLocked = 3011,
		eREC_EquipmentUnknow = 3012,
		eREC_EquipmentSellNotAllowed = 3013,
        eREC_EquipmentUpgradeNotAllowed = 3014,
        eREC_EquipmentCouldNotUpgrade = 3015,
		eREC_EquipmentError = 3016,

		eREC_ItemNotExist = 3017,
		eREC_ItemNotDefined = 3018,
		eREC_ItemNotBeUsed = 3019,
		eREC_ItemNotEnough = 3020,
		eREC_ItemAssociateNotEnough = 3021,
		eREC_ItemError = 3022,

		eREC_PetError = 3023,
        eREC_RoleWithoutAward = 3024,
        eREC_RoleAwardOpened = 3025,

		eREC_BuyGemNotEnough = 8000,  --/*元宝不足*/
		eREC_BuyGemNotEnoughNumber = 8001,  --/*购买次数限制*/
		eREC_ScoreNotEnough = 8002,  --/*积分不足*/
		eREC_TakeAway = 8003,  --/*邮箱附件已提取*/
		eREC_IllegalKeyWords = 8004,  --/*含有非法字符*/
		eREC_DOUBLENAME = 8005,   --  --/*重命名*/
		eREC_NOTENOUGHLEVEL = 8006,   --/*等级不够不能发言*/
		eREC_QUICKLYNOTICE = 8007,   --/*发言太快*/
		eREC_CONDITIONNOT = 8008,  --/*领取条件不满足*/
		eREC_WRONGDATA = 8009,  --/*发送数据错误*/
		eREC_GETED = 8010,   --/*已领取*/
		eREC_GETERROR = 8011,  --/*领取失败*/
		eREC_FAMILYCREATENOT = 8012,  --/*家族令或元宝不足*/
		eREC_HASFAMILY = 8013,  --/*已经有家族，不能创建新家族*/
		eREC_FAMILYNAMENOTNULL = 8014,  --/*家族名字不能为空*/
		eREC_NOTFAMILYLEADER = 8015,  --/*您不是被提升人家族的族长*/
		eRENC_NOTFAMILY = 8016,  --/*提升人没有家族*/
		eREC_HASMOTHER = 8017,  --/*您已由副组长*/
		eREC_NOTFAMILYMOTHER = 8018,  --/*不是本家族的副族长*/
		eREC_NOTENOUGHPOWER = 8019,  --/*您没有权利移除别人出家族*/
		eREC_NOTENOUGHTIME = 8020,  --/*刚加入家族24小时内*/
		eREC_NOTFAMILYACTOR = 8021,  --/*不能把族长或副族长直接提出家族*/
		eREC_HASFAILY = 8022,  --/*已经有家族了*/
		eREC_NOTPURPOSE = 8023,  --/*没有申请本家族*/
		eREC_NOTENOUGHPOWERPURPOSE = 8024,  --/*没有权限*/
		eREC_NOTIMPEACH = 8025,  --/*无法弹劾*/
		eREC_FAMILYPUPOSEFULL = 8026,  --/*申请人数已满*/
		eREC_FAMILYIN = 8027,  --/*已经在本家族的申请表了*/
		eREC_NOPOWER = 8028,  --/*没有权限*/
		eREC_FULLFAMILY = 8029,  --/*家族人数已满*/
		eREC_NOTFAMILYFATHMATH = 8030,  --/*不是族长或副族长*/
		eREC_LEVEFAMILYTIME = 8031,  --/*离开家族24小时内无法加入家族*/
		eREC_FAMILYLEVELUPNOT = 8032,  --/*条件不满足*/
		eREC_FAMILYHIGH = 8033,  --/*已经是家族等级最高*/
		eREC_FAMILYNAMEDOUBLIE = 8034,  --/*家族名字重复*/
		eREC_FAMILYCONTRIBUTIONNOENU = 8035,  --/*家族贡献不够*/
		eREC_PACKETFULL= 8036,  --/*背包已满*/
		
		eREC_NOBUYCARD = 8037, --/*没有购买当前等级的同福卡*/
        eREC_NOTGETFREEAWARD = 8038, --/*不能领取*/
        eREC_LEVELNOTENUGH = 8039, --/*等级不到*/
		eREC_REFRESH_NUMBERNOTENOUGH = 8040,--/*次数不足(可提升VIP等级增加可购买次数)*/

		eREC_NOTKAIFANG = 8041,--/*未开启，不能挑战*/
		eREC_BOSSTIMENOENOUGH = 8042,--/*boss挑战次数不足*/
		eREC_BUYEDTIMEFULL = 8043,--/*已经购买5次，不能再购买*/
		
		eREC_NOTCDKCODE= 8044,--/*无此兑换码*/
		eREC_CDKAWARDHASGOT = 8045,--/*已兑换过该类型奖励*/
		eREC_HADDUIHUAN = 8046,--/*该兑换码，已被兑换*/
		eREC_PKMAPOLINE = 8047,--/*pk地图挂机中，不能快速战斗*/
		eREC_PKNUMBERNOTENOUGH = 8048,--/*PK次数不足*/
		
		eREC_NOTBUY = 8049,--/*没有购买*/
		eREC_PACKETNOTENOUGH = 8050,--/*装备背包不够*/
		eREC_VIPNOTENOUGH = 8051,--/*VIP等级不够*/
		eREC_RECHARGENOT = 8052,--/*累计充值不足*/
		eREC_BUYED = 8053,--/*已购买*/
		eREC_NOBUYMONTHCARD = 8054,--/*没有购买当前月卡*/
		eREC_COSTNOTENOUGH = 8055,--/*累积消费不足*/
		eREC_CONDITIONNOTENOUGH = 8056,--/*条件不满足*/
		eREC_NUMNOTENOUGH = 8057,--/*次数不足*/
		eREC_NOTRESOURCE = 8058,--/*已领光*/
		eREC_NOTINSTARTSERVERTIME = 8059,--/*开服时间已过*/
		eREC_TIMENOTDONE = 8060,--/*领取时间未到*/
		eREC_ITEMADDLUCKFULL= 8061,--/*已达到使用上限*/
		eREC_ITEMNOTFULL= 8062,--/*物品使用不足*/
		eREC_LEVELMAM= 8063,--/*已经是最高级*/
		eREC_SOULBAGNOTENOUGH= 8064,--/*魂器背包不够*/
		eREC_EquipmentSoulNotExist= 8065,--,/*魂器不存在*/
		eREC_ALREADYMAX= 8066,--/*已经是最高级*/
		eREC_MONEYNOTENOUGH= 8067,--/*金币不足*/
		eREC_ALREADLYUNWEARE= 8068,--/*已脱下*/
		eREC_ALREADLYWEARE= 8069,--/*魂器已穿戴*/
		eREC_NOTALLOWDELEPKVALUE = 8070,--/*杀戮值为0，无需使用*/
		eREC_NOTSPRITEEQUIMENT = 8071,--/*不是神器*/
}

wd.ErrorString = 
    {
        ----------------------------- login server error----------------------------------------------      
        [wd.ErrorLoginServerCode.eRECLS_ServerError] = "错误代码 30001",
        [wd.ErrorLoginServerCode.eRECLS_SDKInfoError] = "错误代码 30002",

        [wd.ErrorLoginServerCode.eRECLS_UsernameInvalid] = "账号名不合法",
        [wd.ErrorLoginServerCode.eRECLS_PasswordInvalid] = "密码不合法",
        [wd.ErrorLoginServerCode.eRECLS_UserExist] = "账号已存在",
        [wd.ErrorLoginServerCode.eRECLS_UserNotExist] = "账号不存在",
        [wd.ErrorLoginServerCode.eRECLS_PasswordWrong] = "密码错误",
        [wd.ErrorLoginServerCode.eRECLS_InvalidParameter] = "无效参数",
    
        ----------------------------- game server error----------------------------------------------      

        [wd.ErrorCode.eREC_ServerError] = "服务器错误",
        [wd.ErrorCode.eREC_VersionMismatch] = "游戏版本不匹配",
		[wd.ErrorCode.eREC_SDKInfoError] = "",
        [wd.ErrorCode.eREC_DictNotFound] = "",
        [wd.ErrorCode.eREC_DictNotDefined] = "",
		[wd.ErrorCode.eREC_DictDataError] = "",
        [wd.ErrorCode.eREC_UnknownError] = "",
		[wd.ErrorCode.eREC_ServerUserFull] = "服务器已满",
        [wd.ErrorCode.eREC_LoginFrequently] = "",
        [wd.ErrorCode.eREC_LoginOtherPlace] = "你的账号在其他地方登陆，请注意安全",
        [wd.ErrorCode.eREC_BanRole] = "你的账号已被封禁",
        [wd.ErrorCode.eREC_SilenceRole] = "系统已禁言",
		
		
        [wd.ErrorCode.eREC_UsernameInvalid] = "账号名不合法",
        [wd.ErrorCode.eREC_PasswordInvalid] = "密码不合法",
        [wd.ErrorCode.eREC_UserExist] = "账号已存在",
        [wd.ErrorCode.eREC_UserNotExist] = "账号不存在",
        [wd.ErrorCode.eREC_PasswordWrong] = "密码错误",
        [wd.ErrorCode.eREC_AreaNotExist] = "服务器不存在",
        [wd.ErrorCode.eREC_RoleExist] = "角色已存在",
        [wd.ErrorCode.eREC_RoleNotExist] = "角色不存在",
        [wd.ErrorCode.eREC_RoleBasicInfoNotExist] = "角色数据不存在",
        [wd.ErrorCode.eREC_InvalidParameter] = "无效参数",
        [wd.ErrorCode.eREC_MapNotExist] = "地图不存在",

        [wd.ErrorCode.eREC_NotEnoughGold] = "金币不足",
        [wd.ErrorCode.eREC_NotEnoughGem] = "元宝不足",
        [wd.ErrorCode.eREC_NotEnoughLevel] = "等级不足",

        [wd.ErrorCode.eREC_EquipmentBagMaxSize] = "背包已达最大容量",
        [wd.ErrorCode.eREC_EquipmentBagCouldNotExpand] = "背包不能扩展",
        [wd.ErrorCode.eREC_EquipmentBagFull] = "背包已满",
        [wd.ErrorCode.eREC_EquipmentStrenthenMaxLevel] = "强化已达最高级",
        [wd.ErrorCode.eREC_EquipmentNotExist] = "装备不存在",
		[wd.ErrorCode.eREC_EquipmentFalled] = "装备已经掉落",
        [wd.ErrorCode.eREC_EquipmentLocked] = "装备已加锁",
        [wd.ErrorCode.eREC_EquipmentUnknow] = "装备异常",
        [wd.ErrorCode.eREC_EquipmentSellNotAllowed] = "该装备不能出售",
        [wd.ErrorCode.eREC_EquipmentUpgradeNotAllowed] = "装备不能升阶",
        [wd.ErrorCode.eREC_EquipmentCouldNotUpgrade] = "装备不能升阶",

        [wd.ErrorCode.eREC_EquipmentError] = "装备异常",

        [wd.ErrorCode.eREC_ItemNotExist] = "道具不存在",
        [wd.ErrorCode.eREC_ItemNotDefined] = "道具未定义",
        [wd.ErrorCode.eREC_ItemNotBeUsed] = "道具不能使用",
        [wd.ErrorCode.eREC_ItemNotEnough] = "道具数量不足",
        [wd.ErrorCode.eREC_ItemAssociateNotEnough] = "钥匙不足",
        [wd.ErrorCode.eREC_ItemError] = "道具异常",
        [wd.ErrorCode.eREC_PetError] = "龙鼎异常",
        
        [wd.ErrorCode.eREC_RoleWithoutAward] = "没有奖励",
        [wd.ErrorCode.eREC_RoleAwardOpened] = "奖励已领取",


        [wd.ErrorCode.eREC_BuyGemNotEnough] = "元宝不足",--元宝不足
        [wd.ErrorCode.eREC_BuyGemNotEnoughNumber] = "购买次数已用完",--购买次数限制
        [wd.ErrorCode.eREC_ScoreNotEnough] = "积分不足", --积分不足
        [wd.ErrorCode.eREC_TakeAway] = "邮箱已提取",--邮箱附件已提取
        [wd.ErrorCode.eREC_IllegalKeyWords] = "含有非法字符",--含有非法字符

		[wd.ErrorCode.eREC_DOUBLENAME] = "名称重复",
        [wd.ErrorCode.eREC_NOTENOUGHLEVEL] = "17级才能发言",
        [wd.ErrorCode.eREC_QUICKLYNOTICE] = "频繁发言",
		[wd.ErrorCode.eREC_CONDITIONNOT] = "领取条件不足",
		[wd.ErrorCode.eREC_WRONGDATA] = "发送数据错误",
		[wd.ErrorCode.eREC_GETED] = "已领取过该奖励",
		[wd.ErrorCode.eREC_GETERROR] = "领取异常",
		
		[wd.ErrorCode.eREC_FAMILYCREATENOT] = "创建条件不足",
		[wd.ErrorCode.eREC_HASFAMILY] = "已经有家族，不能创建新家族",
		[wd.ErrorCode.eREC_FAMILYNAMENOTNULL] = "家族名字不能为空",
		[wd.ErrorCode.eREC_NOTFAMILYLEADER] = "您不是对方家族族长，无法操作",
		[wd.ErrorCode.eRENC_NOTFAMILY] = "对方没有加入家族，无法操作",
		[wd.ErrorCode.eREC_HASMOTHER] = "您的家族已有一位副族长",
		[wd.ErrorCode.eREC_NOTFAMILYMOTHER] = "对方不是副族长",
		[wd.ErrorCode.eREC_NOTENOUGHPOWER] = "权限不足",
		[wd.ErrorCode.eREC_NOTENOUGHTIME] = "对方加入家族未满24小时，无法操作",
		[wd.ErrorCode.eREC_NOTFAMILYACTOR] = "对方是副族长，需先罢免其职位才可踢出",
		[wd.ErrorCode.eREC_HASFAILY] = "已经有家族了",
		[wd.ErrorCode.eREC_NOTPURPOSE] = "没有申请本家族",
		[wd.ErrorCode.eREC_NOTENOUGHPOWERPURPOSE] = "没有权限",
		[wd.ErrorCode.eREC_NOTIMPEACH] = "无法弹劾",
		[wd.ErrorCode.eREC_FAMILYPUPOSEFULL] = "申请人数已满",
		[wd.ErrorCode.eREC_FAMILYIN] = "您已申请过本家族",
		[wd.ErrorCode.eREC_NOPOWER] = "没有权限",
		[wd.ErrorCode.eREC_FULLFAMILY] = "家族人数已满",
		[wd.ErrorCode.eREC_NOTFAMILYFATHMATH] = "没有权限",
		[wd.ErrorCode.eREC_LEVEFAMILYTIME] = "离开家族24小时内无法申请加入家族",
		[wd.ErrorCode.eREC_FAMILYLEVELUPNOT] = "条件不满足",
		[wd.ErrorCode.eREC_FAMILYHIGH] = "已满级",
		[wd.ErrorCode.eREC_FAMILYNAMEDOUBLIE] = "家族名字已存在",
		[wd.ErrorCode.eREC_FAMILYCONTRIBUTIONNOENU] = "贡献值不足",
		[wd.ErrorCode.eREC_PACKETFULL] = "背包已满，请先清理背包",
		
        [wd.ErrorCode.eREC_NOBUYCARD] = "未达到该同福卡等级",
        [wd.ErrorCode.eREC_NOTGETFREEAWARD] = "不能领取",
        [wd.ErrorCode.eREC_LEVELNOTENUGH] = "等级不足",
		
		[wd.ErrorCode.eREC_REFRESH_NUMBERNOTENOUGH] = "次数不足(可提升VIP等级增加可购买次数)",
		[wd.ErrorCode.eREC_NOTKAIFANG] = "未开启，不能挑战",
		[wd.ErrorCode.eREC_BOSSTIMENOENOUGH] = "挑战次数不足",
		[wd.ErrorCode.eREC_BUYEDTIMEFULL] = "已经购买5次，不能再购买",
		
		[wd.ErrorCode.eREC_NOTCDKCODE] = "无此兑换码",
		[wd.ErrorCode.eREC_CDKAWARDHASGOT] = "已兑换过该类型奖励",
		[wd.ErrorCode.eREC_HADDUIHUAN] = "该兑换码，已被兑换",
		[wd.ErrorCode.eREC_PKMAPOLINE] = "pk地图挂机中，不能快速战斗",
		[wd.ErrorCode.eREC_PKNUMBERNOTENOUGH] = "PK次数不足",
		
		[wd.ErrorCode.eREC_NOTBUY] = "没有购买",
		[wd.ErrorCode.eREC_PACKETNOTENOUGH] = "背包空间不足",
		[wd.ErrorCode.eREC_VIPNOTENOUGH] = "VIP2及以上级别才可购买",
		[wd.ErrorCode.eREC_RECHARGENOT] = "累计充值不足",
		[wd.ErrorCode.eREC_BUYED] = "已购买",
		[wd.ErrorCode.eREC_NOBUYMONTHCARD] = "没有购买当前月卡",
		[wd.ErrorCode.eREC_COSTNOTENOUGH] = "累积消费不足",
		[wd.ErrorCode.eREC_CONDITIONNOTENOUGH] = "条件不满足",
		[wd.ErrorCode.eREC_NUMNOTENOUGH] = "次数不足",
		[wd.ErrorCode.eREC_NOTRESOURCE] = "已领光",
        [wd.ErrorCode.eREC_NOTINSTARTSERVERTIME] = "开服时间已过",
        [wd.ErrorCode.eREC_TIMENOTDONE] = "领取时间未到",
		[wd.ErrorCode.eREC_ITEMADDLUCKFULL] = "已达到使用上限",
		[wd.ErrorCode.eREC_ITEMNOTFULL] = "道具数量不足",
		[wd.ErrorCode.eREC_LEVELMAM] = "已经是最高级",
		[wd.ErrorCode.eREC_SOULBAGNOTENOUGH] = "魂器背包不够",
		[wd.ErrorCode.eREC_EquipmentSoulNotExist] = "魂器不存在",
		[wd.ErrorCode.eREC_ALREADYMAX] = "已经是最高级",
		[wd.ErrorCode.eREC_MONEYNOTENOUGH] = "金币不足",
		[wd.ErrorCode.eREC_ALREADLYUNWEARE] = "已脱下",
		[wd.ErrorCode.eREC_ALREADLYWEARE] = "魂器已穿戴",
		[wd.ErrorCode.eREC_NOTALLOWDELEPKVALUE] = "杀戮值为0，无需使用",
		[wd.ErrorCode.eREC_NOTSPRITEEQUIMENT] = "该装备不是神器",
		
}


function wd.ErrorInfo.registerEventListener()

    local function errorCallback(EventCustom)
        local error = wd.GlobalData:getInstance():getMessage("Error_Info")
		
        local msg = wd.ErrorString[tonumber(error)]
        if msg ~= nil then
            wd.showRichTips(4,msg)
        end
    end

    local listenerError = cc.EventListenerCustom:create("Error_Info", errorCallback)
    cc.Director:getInstance():getEventDispatcher():addEventListenerWithFixedPriority(listenerError, 1)
end

function wd.ErrorInfo.unregisterEventListener()
    cc.Director:getInstance():getEventDispatcher():removeCustomEventListeners("Error_Info")
end
