ePCRegister = 1
ePCLogin = 2
ePCEnterGame = 3
ePCCreateRole = 4
ePCFight = 5
ePCExpUp = 6
ePCGetInfo = 7
ePCGetActorList = 8
ePCArenaFight = 9
ePCGetRankList = 10
ePCEquipmentExpandBag = 11
ePCEquipmentWear = 12
ePCEquipmentUnwear= 13
ePCEquipmentSell = 14
ePCEquipmentBatchSell = 15
ePCEquipmentRefine1 = 16
ePCEquipmentRefine2 = 17
ePCEquipmentStrength = 18
ePCEquipmentSmelt = 19
ePCEquipmentLock = 20
ePCEquipmentRingUpgrade = 21

ePCItemUse = 22
ePCSkillUse = 23
ePCGetAllCanUseSkill = 24
ePCUpSkill = 25
ePCOpenShop = 26
ePCBuyItem = 27
ePCBuyEquipment = 28
ePCRefreshBuyEquipment = 29
ePCOpenMail = 30
ePCGetMail = 31
ePCRevengeFight = 32
ePCSendMsg = 33
ePCGetWorldMsg = 34
ePCGetFinishAward = 35
ePCGetFinishAwardState = 36
ePCOpenDiscountShop = 37
ePCBuyDiscountShop = 38

ePCGetAllFamilyInfo = 39
ePCCreateFamily = 40
ePCOpenFamily = 41
ePCFamilyActorList = 42
ePCOpeartorFamily = 43
ePCPurposeFamily = 44
ePCAlterNotice = 45
ePCFamilypurposeList = 46
ePCFamilyLevelUp = 47
ePCDissolveFamily = 48
ePCOpenFamilyShop = 49
ePCBuyFamilyShop = 50
ePCRefreshFamilyShop = 51

ePCQuickFight =52
ePCSetSell = 53

ePCOpenFamilyCard =54
ePCGetFamilyGem =55
ePCBuyChallengeNumber = 56
ePCOpenVipItem = 57
ePCGetVipItem = 58

ePCFightBoss = 59
ePCBuyBossNumber = 60

ePCGetAwardCdk = 61
ePCGetFightPlayer = 62
ePCGetFirstPay1Award = 63
ePCPkMapFight = 64
ePBuyPknumber = 65
ePGetPKRecord = 66
ePCGetActivityAward = 67
ePCGetActivityAwardstate = 68
ePCBuyGrowGem = 69
ePCGetMonthCardAward = 70
ePCGetMonthCardAwardState = 71
ePCOpenLuckAward = 72
ePCGetLuckAward = 73
ePCGetStartActivitysate = 74
ePCGetStartActivity = 75
ePCGetRandName = 76
ePCUseAddLuck = 77

ePCGetSoulUpExp = 78
ePCEquipmentSoulCompound = 79
ePCYinSoulLevelUp = 80
ePCEquipmentSoulWear = 81
ePCEquipmentSoulUnWeard = 82
ePCExpendSoulbag = 83
ePCRestartProperty = 84
ePCEquipSoulExploded = 85
ePCEquipSoulExplodedOne = 86
ePCSoulPray = 87
ePCDeletePKValueItem = 88 --物品使用，消除杀戮值
ePCEquipmentSprite = 89 --神器升灵

ePCCreateOrder = 90 --创建订单
ePCTencentPay = 91 --应用宝支付
ePCGetNewActivityReward = 92 --新开服奖励获取
ePCGetNewActivityData = 93 --新开服活动数据获取
ePCGuardAttack = 94 --家族守护挑战
ePCGuardBuyCishu = 95 --家族守护购买挑战次数
ePCGuardGetGift = 96 --领取守护礼包
ePCFightCityData = 97 --城战初始化请求
ePCFightCityApply = 98--城战申请（周一申请）
ePCFightCityJoin = 99--加入城站（周二加入）
ePCFightCityGift = 100 --领取奖励
ePCFightCityLog = 101 --战斗日志
ePCIOSPay = 102 --ios正版支付	

ePCEquipmentUpGrade = 103 --装备升阶
ePCFightMapBoss = 104 --挑战地图boos
ePCSignedReward = 105 --签到
ePCStartExploration = 106
ePCJiasuExploration = 107
ePCGetGiftExploration = 108
ePCMergeEquipmentSoul = 109 --天魂合成
ePCOnlineGift = 110 --新手豪礼
ePCFubenFight = 111		--副本战斗
ePCBuyFubenNumber = 112  --购买副本次数

NetPackage = {}

function NetPackage:create()
	local Package = {}
	
	function Package:addComma()
		if self.begin then
			self.package = self.package..","
		else
			self.begin = true
		end
	end
	
	function Package:add(key,value)
		self:addComma()
		self.package = self.package.."\n\""..key.."\":"..value
	end

	function Package:addArray(key,array)
		self:addComma()
		self.package = self.package.."\n\""..key.."\":["
		
		for n = 1,#array do
			self.package = self.package..array[n]
			if n == #array then
				self.package = self.package.."]"
			else
				self.package = self.package..","
			end
		end
	end

	function Package:encode()
		self.package = self.package.."\n}\n"
		print("lua_packge	\n"..self.package)
		return self.package
	end
	
	
	Package.package = "{"
	return Package
end	

ParsePackage = {}

function ParsePackage:create(data)
	local Package = {}
	Package.data = data
	function Package:getInt(key)
		local startIndex,endIndex,value = string.find(self.data,"\""..key.."\"%s*:%s*(%w*)")
		if not value then
			return nil
		end 
		return tonumber(value)
	end
	function Package:getArray(key)
		local startIndex,endIndex,value = string.find(self.data,"\""..key.."\"%s*:%s*%[(.*)%]")
		if not value then
			return nil
		end 
		local valueTable = string.split(value,",")
		return valueTable
	end
	return Package
end

function netRecv(protocolCode,data)
	-- if protocolCode == ePCEnterGame then
	-- 	local buyPkNum = ParsePackage:create(data):getInt("buyed_pk_number")
	-- 	wd.GlobalData:getInstance():getRoleData():setRoleExtendData("buyed_pk_number",11)
	-- end
	print("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!")
end