
local family_War_Progress = class("family_War_Progress",function()
    return cc.Layer:create()
end)

-- cclog
local cclog = function(...)
    print(string.format(...))
end


function family_War_Progress.create()
    local layer = family_War_Progress.new()
    layer:createLayerMenu()
    return layer
end

function family_War_Progress:ctor()
   self.dataHandler = wd.familyHandler 
end

function family_War_Progress:clear()
    self:removeFromParent()
    --cc.Director:getInstance():getEventDispatcher():removeCustomEventListeners("Create_Family")
    
end

function family_War_Progress:createLayerMenu()
    local node = tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarProgress.csb"), "ccui.Widget")

    local familyOne = {}
    local familyTwo = {}
    local familyThree = {}

    for i=0, wd.GlobalData:getInstance():getFamilyBattleThreeSize()-1 do
        local aa = wd.GlobalData:getInstance():getFamilyBattleThree(i)
    
        local item = {}
        item.teamAId = aa:getTeamAFamilyId()
        item.teamAname = aa:getTeamAFamilyName()

        item.teamBId = aa:getTeamBFamilyId()
        item.teamBname = aa:getTeamBFamilyName()

        item.winerId = aa:getWinTeamId()

        familyThree[i] = item
    end

    for i=0, wd.GlobalData:getInstance():getFamilyBattleTwoSize()-1 do
        local aa = wd.GlobalData:getInstance():getFamilyBattleTwo(i)

        local item = {}
        item.teamAId = aa:getTeamAFamilyId()
        item.teamAname = aa:getTeamAFamilyName()

        item.teamBId = aa:getTeamBFamilyId()
        item.teamBname = aa:getTeamBFamilyName()

        item.winerId = aa:getWinTeamId()

        familyTwo[i] = item
    end

    for i=0, wd.GlobalData:getInstance():getFamilyBattleOneSize()-1 do
        local aa = wd.GlobalData:getInstance():getFamilyBattleOne(i)

        local item = {}
        item.teamAId = aa:getTeamAFamilyId()
        item.teamAname = aa:getTeamAFamilyName()

        item.teamBId = aa:getTeamBFamilyId()
        item.teamBname = aa:getTeamBFamilyName()

        item.winerId = aa:getWinTeamId()

        
        familyOne[i] = item
    end


    local closeBtn = ccui.Helper:seekWidgetByName(node,"Close_Button")
    closeBtn:setPressedActionEnabled(true)
    closeBtn:addTouchEventListener(
        function(sender,eventType)
            if eventType == ccui.TouchEventType.ended then
                self:clear()
            end
        end
    )
    

    local myView = tolua.cast(ccui.Helper:seekWidgetByName(node,"ListView_list"), "ccui.ListView")
    myView:setSwallowTouches(false)
    
   
    for j = 1 , 6 do
        if j == 1 then
            local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList1.csb"),"ccui.Widget")
            local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
            ccui.Helper:seekWidgetByName(mainPanel,"Panel_name2"):setVisible(true)
            local size = mainPanel:getContentSize()
            local widget = ccui.Widget:create()
            widget:setContentSize(size)
            widget:setAnchorPoint(cc.p(0,0))
            widget:addChild(memberNode)
            myView:pushBackCustomItem(widget)
        elseif j == 2 then
            if familyOne[0] ~= nil then
                for i,v in pairs(familyOne) do
                    if v ~= nil then
                        local widget = ccui.Widget:create()
                        local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList2.csb"),"ccui.Widget")
                        local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
                        local showBattle = tolua.cast(mainPanel:getChildByName("Panel_2"):getChildByName("Button_apply1"), "ccui.Button")

                        showBattle:addTouchEventListener(
                            function(sender,eventType)
                            if eventType == ccui.TouchEventType.ended then
                                local layerClass = require("src.game.family.family_War_Battle")
                                local layer = layerClass.create(i,1)
                                self:addChild(layer)
                            end
                        end
                        )

                        local changci = mainPanel:getChildByName("Panel_2"):getChildByName("AtlasLabel_changci")
                        changci:setString(i+1)

                        mainPanel:getChildByName("Panel_2"):getChildByName("Text_name1"):setString(v.teamAname)
                        mainPanel:getChildByName("Panel_2"):getChildByName("Text_name2"):setString(v.teamBname)
                        
                        if v.teamAId == v.winerId then
                            mainPanel:getChildByName("Panel_2"):getChildByName("Image_win1"):setVisible(true)
                        elseif v.teamBId == v.winerId then
                            mainPanel:getChildByName("Panel_2"):getChildByName("Image_win2"):setVisible(true)
                        end

                        local size = mainPanel:getContentSize()
                        widget:setContentSize(size)
                        widget:setAnchorPoint(cc.p(0,0))
                        widget:addChild(memberNode)
                        myView:pushBackCustomItem(widget)
                    end
                end
            else
                local widget = ccui.Widget:create()
                local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList2.csb"),"ccui.Widget")
                local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
                tolua.cast(mainPanel:getChildByName("Text_1"), "ccui.Text"):setVisible(true)
                tolua.cast(mainPanel:getChildByName("Panel_2"), "ccui.Widget"):setVisible(false)
                local size = mainPanel:getContentSize()
                widget:setContentSize(size)
                widget:setAnchorPoint(cc.p(0,0))
                widget:addChild(memberNode)
                myView:pushBackCustomItem(widget)
            end
        elseif j == 3 then
            local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList1.csb"),"ccui.Widget")
            local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
            ccui.Helper:seekWidgetByName(mainPanel,"Panel_name1"):setVisible(true)
            local size = mainPanel:getContentSize()
            local widget = ccui.Widget:create()
            widget:setContentSize(size)
            widget:setAnchorPoint(cc.p(0,0))
            widget:addChild(memberNode)
            myView:pushBackCustomItem(widget)
        elseif j == 4 then
            if familyTwo[0] ~= nil then
                for i,v in pairs(familyTwo) do
                    if v ~= nil then
                        local widget = ccui.Widget:create()
                        local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList2.csb"),"ccui.Widget")
                        local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
                        local showBattle = tolua.cast(mainPanel:getChildByName("Panel_2"):getChildByName("Button_apply1"), "ccui.Button")

                        showBattle:addTouchEventListener(
                            function(sender,eventType)
                            if eventType == ccui.TouchEventType.ended then
                                local layerClass = require("src.game.family.family_War_Battle")
                                local layer = layerClass.create(i,2)
                                self:addChild(layer)
                            end
                        end
                        )

                        local changci = mainPanel:getChildByName("Panel_2"):getChildByName("AtlasLabel_changci")
                        changci:setString(i+1)

                        mainPanel:getChildByName("Panel_2"):getChildByName("Text_name1"):setString(v.teamAname)
                        mainPanel:getChildByName("Panel_2"):getChildByName("Text_name2"):setString(v.teamBname)
                        
                        if v.teamAId == v.winerId then
                            mainPanel:getChildByName("Panel_2"):getChildByName("Image_win1"):setVisible(true)
                        elseif v.teamBId == v.winerId then
                            mainPanel:getChildByName("Panel_2"):getChildByName("Image_win2"):setVisible(true)
                        end

                        local size = mainPanel:getContentSize()
                        widget:setContentSize(size)
                        widget:setAnchorPoint(cc.p(0,0))
                        widget:addChild(memberNode)
                        myView:pushBackCustomItem(widget)
                    end
                end
            else
                local widget = ccui.Widget:create()
                local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList2.csb"),"ccui.Widget")
                local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
                tolua.cast(mainPanel:getChildByName("Text_1"), "ccui.Text"):setVisible(true)
                tolua.cast(mainPanel:getChildByName("Panel_2"), "ccui.Widget"):setVisible(false)
                local size = mainPanel:getContentSize()
                widget:setContentSize(size)
                widget:setAnchorPoint(cc.p(0,0))
                widget:addChild(memberNode)
                myView:pushBackCustomItem(widget)
            end
        elseif j == 5 then
            local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList1.csb"),"ccui.Widget")
            local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
            ccui.Helper:seekWidgetByName(mainPanel,"Panel_name3"):setVisible(true)
            local size = mainPanel:getContentSize()
            local widget = ccui.Widget:create()
            widget:setContentSize(size)
            widget:setAnchorPoint(cc.p(0,0))
            widget:addChild(memberNode)
            myView:pushBackCustomItem(widget)
        elseif j == 6 then
            if familyThree[0] ~= nil then
                for i,v in pairs(familyThree) do
                    if v ~= nil then
                        local widget = ccui.Widget:create()
                        local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList2.csb"),"ccui.Widget")
                        local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
                        local showBattle = tolua.cast(mainPanel:getChildByName("Panel_2"):getChildByName("Button_apply1"), "ccui.Button")

                        showBattle:addTouchEventListener(
                            function(sender,eventType)
                            if eventType == ccui.TouchEventType.ended then
                                local layerClass = require("src.game.family.family_War_Battle")
                                local layer = layerClass.create(i,3)
                                self:addChild(layer)
                            end
                        end
                        )

                        local changci = mainPanel:getChildByName("Panel_2"):getChildByName("AtlasLabel_changci")
                        changci:setString(i+1)

                        mainPanel:getChildByName("Panel_2"):getChildByName("Text_name1"):setString(v.teamAname)
                        mainPanel:getChildByName("Panel_2"):getChildByName("Text_name2"):setString(v.teamBname)
                        
                        if v.teamAId == v.winerId then
                            mainPanel:getChildByName("Panel_2"):getChildByName("Image_win1"):setVisible(true)
                        elseif v.teamBId == v.winerId then
                            mainPanel:getChildByName("Panel_2"):getChildByName("Image_win2"):setVisible(true)
                        end

                        local size = mainPanel:getContentSize()
                        widget:setContentSize(size)
                        widget:setAnchorPoint(cc.p(0,0))
                        widget:addChild(memberNode)
                        myView:pushBackCustomItem(widget)
                    end
                end
            else
                local widget = ccui.Widget:create()
                local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList2.csb"),"ccui.Widget")
                local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
                tolua.cast(mainPanel:getChildByName("Text_1"), "ccui.Text"):setVisible(true)
                tolua.cast(mainPanel:getChildByName("Panel_2"), "ccui.Widget"):setVisible(false)
                local size = mainPanel:getContentSize()
                widget:setContentSize(size)
                widget:setAnchorPoint(cc.p(0,0))
                widget:addChild(memberNode)
                myView:pushBackCustomItem(widget)
            end
        end

    end


   --[[ for i=1 ,8 do
        local widget = ccui.Widget:create()
        if i==1 then
            local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList1.csb"),"ccui.Widget")
            local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
            ccui.Helper:seekWidgetByName(mainPanel,"Panel_name1"):setVisible(true)
            local size = mainPanel:getContentSize()
            widget:setContentSize(size)
            widget:setAnchorPoint(cc.p(0,0))
            widget:setTag(i)
            widget:addChild(memberNode)
            myView:pushBackCustomItem(widget)
        elseif i == 5 then
            local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList1.csb"),"ccui.Widget")
            local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
            ccui.Helper:seekWidgetByName(mainPanel,"Panel_name2"):setVisible(true)
            local size = mainPanel:getContentSize()
            widget:setContentSize(size)
            widget:setAnchorPoint(cc.p(0,0))
            widget:setTag(i)
            widget:addChild(memberNode)
            myView:pushBackCustomItem(widget)
        elseif i == 7 then
            local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList1.csb"),"ccui.Widget")
            local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
            ccui.Helper:seekWidgetByName(mainPanel,"Panel_name3"):setVisible(true)
            local size = mainPanel:getContentSize()
            widget:setContentSize(size)
            widget:setAnchorPoint(cc.p(0,0))
            widget:setTag(i)
            widget:addChild(memberNode)
            myView:pushBackCustomItem(widget)
        else
            local memberNode =  tolua.cast(cc.CSLoader:createNode("ui/familyWarProgress/familyWarList2.csb"),"ccui.Widget")
            local mainPanel = tolua.cast(memberNode:getChildByName("Main_Panel"), "ccui.Widget")
            local showBattle = tolua.cast(mainPanel:getChildByName("Panel_2"):getChildByName("Button_apply1"), "ccui.Button")

            showBattle:addTouchEventListener(
                function(sender,eventType)
                if eventType == ccui.TouchEventType.ended then
                    local layerClass = require("src.game.family.family_War_Battle")
                    local layer = layerClass.create()
                    self:addChild(layer)
                end
            end
            )

            local size = mainPanel:getContentSize()
            if i == 6 then
                tolua.cast(mainPanel:getChildByName("Text_1"), "ccui.Text"):setVisible(true)
                tolua.cast(mainPanel:getChildByName("Panel_2"), "ccui.Widget"):setVisible(false)
            end
            widget:setContentSize(size)
            widget:setAnchorPoint(cc.p(0,0))
            widget:setTag(i)
            widget:addChild(memberNode)
            myView:pushBackCustomItem(widget)
        end
      
    end--]]
    
    self:addChild(node)
    ccui.Helper:doLayout(node)

end

return family_War_Progress
